aboutsummaryrefslogtreecommitdiff
path: root/t/travis.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/travis.sh')
-rwxr-xr-xt/travis.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/t/travis.sh b/t/travis.sh
index 0bb31aa..e3cabf4 100755
--- a/t/travis.sh
+++ b/t/travis.sh
@@ -42,3 +42,10 @@ run sbocheck
WC=$(wc -l /var/log/sbocheck.log)
[ "$WC" = "1 /var/log/sbocheck.log" ]
run sboupgrade -r nonexistentslackbuild
+
+# Test missing dep
+(
+ run sboinstall nonexistentslackbuild2 <<END
+y
+END
+) || [ "$?" = "1" ]